#include "Template.h"
#include "script/ConfigLoader.h"

Template::Template(string name)
{
  ConfigLoader cl = ConfigLoader();

  //cl.load("templates/def_element.lua");
  string filename = name + ".lua";
  cl.load("templates/" + filename);

  pLoad(&cl);
}

Template::~Template()
{
}

void Template::pLoad(ConfigLoader *pcl)
{
  vName = pcl->getString("name");
  vModel = pcl->getString("model");
}

string Template::getName()
{
  return vName;
}

string Template::getModel()
{
  return vModel;
}

