#include "Template.h"
#include "TemplateManager.h"

TemplateManager::TemplateManager()
{
}

TemplateManager::~TemplateManager()
{
}

void TemplateManager::loadTemplate(string name)
{
  std::map<string,Template*>::iterator it = vList.find(name);
  if (it != vList.end())
    {
      Template *t = it->second;
      delete t;
      vList.erase(it);
    }

  vInternalLoad(name);
}

Template* TemplateManager::get(string name)
{
  std::map<string,Template*>::iterator it = vList.find(name);
  if (it == vList.end())
    return vInternalLoad(name);

  return it->second;
}

Template* TemplateManager::vInternalLoad(string name)
{
  return vList[name] = new Template(name);
}

