#ifndef _TEMPLATEMANAGER_H
#define _TEMPLATEMANAGER_H

#include <string>

using std::string;

#include "Template.h"

class TemplateManager
{
public:
  TemplateManager();
  ~TemplateManager();

  void loadTemplate(string name);

  Template* get(string name);

private:
  Template* vInternalLoad(string name);

  std::map<string,Template*> vList;
};

#endif //_TEMPLATEMANAGER_H

