#ifndef _CONFIG_LOADER_H
#define _CONFIG_LOADER_H

#include <iostream>

#include "lua.hpp"

class ConfigLoader
{
public:
  ConfigLoader();
  virtual ~ConfigLoader();

  void load(std::string filename);

  std::string getString(std::string name);
  double getDouble(std::string name);
  int getInt(std::string name);
  bool getBoolean(std::string name);
  float ConfigLoader::getFloat(std::string name);

  void ConfigLoader::_printEach();

protected:
  lua_State *pL;

  bool ConfigLoader::pGetGlobal(std::string name);
};

#endif //_CONFIG_LOADER_H

